Allow separated inclusions, links, redirects on whatlinkshere
Closed, ResolvedPublic

Description

It would be incredibly useful to have a 'What redirects here' function, similar
to the 'What links here' page.

I expect the most sensible and flexible way to implement this would be to modify
the what links here page to include a set of toggles at the top of the page
which show/hide direct links/redirects/inclusions individually, similar to the
way bots/minor edits/etc work on recent changes.


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 9:17 PM
bzimport set Reference to bz6934.
HappyDog created this task.Via LegacyAug 6 2006, 11:15 PM
bzimport added a comment.Via ConduitAug 6 2006, 11:21 PM

ayg wrote:

Expanded the bug a bit. Allow the viewer to show any combination of links,
template-inclusions, redirects, and image/category-inclusions.

bzimport added a comment.Via ConduitAug 18 2006, 12:48 PM

rotemliss wrote:

(In reply to comment #1)

Expanded the bug a bit. Allow the viewer to show any combination of links,
template-inclusions, redirects, and image/category-inclusions.

I support it, however please note that image/category inclusions seem to be
defined in the tables categorylinks and imagelinks, not in the pagelinks table
which seems to be used in Special:Whatlinkshere, and therefore are not displayed
in Special:Whatlinkshere at all, but under the image links header in the image
page, or in the category page.

bzimport added a comment.Via ConduitAug 18 2006, 3:36 PM

robchur wrote:

  1. To record redirects in a reliable fashion will require a new table to record

explicit redirect links. Reliance upon the pagelinks table in combination with
page.page_is_redirect is not sufficient.

  1. Category and image linkages shouldn't appear on "what links here" because

that's not the purpose of the page, and those relationships are presented elsewhere.

bzimport added a comment.Via ConduitAug 18 2006, 6:14 PM

ayg wrote:

(In reply to comment #3)

  1. Category and image linkages shouldn't appear on "what links here" because . . . those relationships are presented elsewhere.

Oh, right.

bzimport added a comment.Via ConduitDec 31 2006, 8:59 AM

villadavida wrote:

Based on information already provided in Special:What links here, the ways in which
articles link is:

  • Direct and/or indirect link
  • Direct and/or indirect inclusion
  • Redirect

The inability to do this has made simplifying some of the "super" templates on
Wiktionary difficult to do because it's not clear where a template is directly used.
The original request would also help identify shortcut (redirect) names for templates,
since redirects are not categorized as the templates are.

Meta-comment: Note that categories can be thought of as an implementation of
Special:What links here via direct link.

Is it also possible to restrict Special:What links here by namespace? ~~~~

bzimport added a comment.Via ConduitDec 31 2006, 5:44 PM

ayg wrote:

Namespace selection for whatlinkshere is bug 4624.

bzimport added a comment.Via ConduitMar 5 2007, 6:03 PM

ayg wrote:

*** Bug 9169 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitMar 5 2007, 10:20 PM

ahoerstemeier wrote:

Now suddenly links like [[:Image:Example.jpg]] are treated same as
[[Image:Example.jpg]] there needs to be a way to find only the second, otherwise
it will be impossible to use the WhatLinksHere page to find editing experiments.

bzimport added a comment.Via ConduitMar 6 2007, 12:43 PM

ahoerstemeier wrote:

Can I delete my last comment? :-) It was a misunderstanding on my side, someone
"fixed" my links to check the image uses, and actually that one broke it.

bzimport added a comment.Via ConduitApr 18 2007, 11:35 AM

jon513 wrote:

I have notice two different occasion where I needed this functionality and it
was lacking. The first was when it was found that "cheap" redirected to Jew I
wanted to see if there were any other inappropriate redirects. I was able to
find that the same had taken place for "Stingy" but it was very difficult to
sift though all the other links.

The second time was when disambiguating "egg". As a disambiguation page becomes
more used it becomes more vandalized (Redwolf24's law see [[WP:RAUL]] 19). Then
the whatlinkshere becomes full of links to warning to vandals, making it harder
to disambiguate; which in turns makes more vandals. It is becoming very hard to
see links to article as the vast majority of the links are from talk pages of
the wikipedia space.

Danny_B added a comment.Via ConduitJun 19 2007, 1:39 PM

(taken from bug 8986 and slightly modified)
It would be great to have:

  • pulldown menu with namespaces [already done]
  • group of checkboxes [link, trancslusion, redirect]
  • radio switch [show all / first only level - for redirects]
brion added a comment.Via ConduitJun 19 2007, 2:53 PM
  • Bug 10311 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJun 24 2007, 5:44 AM

ayg wrote:

Proposed patch, not fully functional

This patch appears to mostly work, but I'm a bit confused as to the relationship between pagelinks and templatelinks. On the dump of simple-wiki I downloaded, many of the templatelinks seem to be duplicated for no apparent reason in pagelinks, so inclusions secretly show up even if inclusions are disabled. Otherwise it seems to work pretty nicely, although I'm sure there are still flaws to be ironed out.

Attached: 6934

bzimport added a comment.Via ConduitJun 24 2007, 5:47 AM

ayg wrote:

Oh, one slight flaw as of now is that there are no actual checkboxes, you have to hack the URL to get them to work, but that's details. ;)

Danny_B added a comment.Via ConduitJul 27 2007, 2:20 PM

*** Bug 10722 has been marked as a duplicate of this bug. ***

Raymond added a comment.Via ConduitJul 30 2007, 12:03 PM
  • Bug 10751 has been marked as a duplicate of this bug. ***
Huji added a comment.Via ConduitMar 21 2008, 10:06 PM
  • Bug 13467 has been marked as a duplicate of this bug. ***
vvv added a comment.Via ConduitApr 12 2008, 7:29 AM

Fixed in r33163

Add Comment